apiVersion: v1
kind: Service
metadata:
  name: ${PROJECT_NAME}
  labels:
    app: ${PROJECT_NAME}
spec:
  ports:
  - port: 8080 # same as containerPort in deployment.yaml
    nodePort: 30000 # port for external communication ex. 30000
    protocol: TCP
  selector:
    app: ${PROJECT_NAME}
  type: NodePort
